Author twisteroid ambassador
Recipients asvetlov, salgado, twisteroid ambassador, yselivanov
Date 2020-10-21.11:03:27
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1603278208.04.0.0294118695089.issue39116@roundup.psfhosted.org>
In-reply-to
Content
Well this is unexpected, the same code running on Linux is throwing GeneratorExit-related mysterious exceptions as well. I'm not sure whether this is the same problem, but this one has a clearer traceback. I will attach the full error log, but the most pertinent part seems to be this:


During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.8/contextlib.py", line 662, in __aexit__
    cb_suppress = await cb(*exc_details)
  File "/usr/lib/python3.8/contextlib.py", line 189, in __aexit__
    await self.gen.athrow(typ, value, traceback)
  File "/opt/prettysocks/prettysocks.py", line 332, in closing_writer
    await writer.wait_closed()
  File "/usr/lib/python3.8/asyncio/streams.py", line 376, in wait_closed
    await self._protocol._get_close_waiter(self)
RuntimeError: cannot reuse already awaited coroutine


closing_writer() is an async context manager that calls close() and await wait_closed() on the given StreamWriter. So it looks like wait_closed() can occasionally reuse a coroutine?
History
Date User Action Args
2020-10-21 11:03:28twisteroid ambassadorsetrecipients: + twisteroid ambassador, asvetlov, salgado, yselivanov
2020-10-21 11:03:28twisteroid ambassadorsetmessageid: <1603278208.04.0.0294118695089.issue39116@roundup.psfhosted.org>
2020-10-21 11:03:28twisteroid ambassadorlinkissue39116 messages
2020-10-21 11:03:27twisteroid ambassadorcreate